| Home | Libraries | People | FAQ | More

## Struct template parse_match_result

boost::date_time::parse_match_result —

## Synopsis

    template<typename charT>
    struct parse_match_result {
      // types
      typedef std::basic_string< charT > string_type;

      // construct/copy/destruct
      parse_match_result();

      // public member functions
      string_type remaining() const;
      charT last_char() const;
      bool has_remaining() const;

      string_type cache;
      unsigned short match_depth;
      short current_match;
    };

## Description

### `parse_match_result` construct/copy/destruct

1.     parse_match_result();

### `parse_match_result` public member functions

1.     string_type remaining() const;

2.     charT last_char() const;

3.     bool has_remaining() const;

   Should be used in conjunction with last_char() to get the remaining character.

| Copyright © 2001-2005 CrystalClear Software, Inc